import BlankLayout from '@/layouts/BlankLayout.vue'
import BasicLayout from '@/layouts/BasicLayout.vue'
import type { RouteRecordRaw } from 'vue-router'

const constantRouter: RouteRecordRaw[] = [
  {
    path: '/',
    name: 'layout',
    component: BasicLayout,
    redirect: '/home',
    children: [
      {
        path: 'home',
        name: 'home',
        component: () => import('@/views/HomeView.vue'),
        meta: {
          title: '首页'
        }
      },
      {
        path: 'about',
        name: 'about',
        component: () => import('@/views/AboutView.vue'),
        meta: {
          title: '关于我们'
        }
      }
    ]
  },
  // 登录之后才能访问的页面
  {
    path: '/admin',
    name: 'admin',
    component: BlankLayout,
    children: []
  }
]

export default constantRouter
