import type { Router } from 'vue-router'

import NProgress from 'nprogress'
import 'nprogress/nprogress.css'

const title = useTitle()

const createRouterGuard = (router: Router) => {
  router.beforeEach(async (to, from) => {
    NProgress.start()
    if (to.meta?.title) {
      title.value = to.meta?.title
    }
  })

  router.afterEach(() => {
    NProgress.done()
  })
}

export default createRouterGuard
